/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2021 . All rights reserved.
*
*/
package net.northking.cctp.saas.dto.app;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：SaaS应用服务资源
*
* createdate:  2021-03-16 13:47:24  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "SaaS应用服务资源")
public class SaaSAppResourceUpdateDto implements Serializable
{
  /**
   * 主键<br>
   */
  @ApiModelProperty("主键")
  @Size(max = 32, message = "主键-id: 数据长度不能 > 32")
  @NotBlank(message = "主键-id: 不可为空")
  private String id;
  /**
   * 微服务<br>
   */
  @ApiModelProperty("微服务")
  @Size(max = 32, message = "微服务-microServiceId: 数据长度不能 > 32")
  private String microServiceId;

  /**
   * 资源名称<br>
   */
  @ApiModelProperty("资源名称")
  @Size(max = 128, message = "资源名称-resourceName: 数据长度不能 > 128")
  private String resourceName;
  /**
   * 详细描述<br>
   */
  @ApiModelProperty("详细描述")
  @Size(max = 512, message = "详细描述-resourceMemo: 数据长度不能 > 512")
  private String resourceMemo;
  /**
   * 访问类型<br>
   */
  @ApiModelProperty("访问类型")
  @Size(max = 16, message = "访问类型-httpMethod: 数据长度不能 > 16")
  private String httpMethod;
  /**
   * 资源地址<br>
   */
  @ApiModelProperty("资源地址")
  @Size(max = 128, message = "资源地址-httpUrl: 数据长度不能 > 128")
  private String httpUrl;
  /**
   * 权限<br>
   */
  @ApiModelProperty("权限")
  @Size(max = 32, message = "权限-authority: 数据长度不能 > 32")
  private String authority;
  /**
   * 是否启用<br>
   */
  @ApiModelProperty("是否启用")
  private Boolean enabled;

  public String getId()
  {
    return id;
  }

  public void setId(String id)
  {
    this.id = id;
  }

  public String getMicroServiceId()
  {
    return microServiceId;
  }

  public void setMicroServiceId(String microServiceId)
  {
    this.microServiceId = microServiceId;
  }

  public String getResourceName()
  {
    return resourceName;
  }

  public void setResourceName(String resourceName)
  {
    this.resourceName = resourceName;
  }

  public String getResourceMemo()
  {
    return resourceMemo;
  }

  public void setResourceMemo(String resourceMemo)
  {
    this.resourceMemo = resourceMemo;
  }

  public String getHttpMethod()
  {
    return httpMethod;
  }

  public void setHttpMethod(String httpMethod)
  {
    this.httpMethod = httpMethod;
  }

  public String getHttpUrl()
  {
    return httpUrl;
  }

  public void setHttpUrl(String httpUrl)
  {
    this.httpUrl = httpUrl;
  }

  public String getAuthority()
  {
    return authority;
  }

  public void setAuthority(String authority)
  {
    this.authority = authority;
  }

  public Boolean getEnabled()
  {
    return enabled;
  }

  public void setEnabled(Boolean enabled)
  {
    this.enabled = enabled;
  }
}